---
productId: material-ui
title: New Free React Templates
---

# React templates

<p class="description">Browse our collection of free React templates to get started building your app with Material UI, including a React dashboard, React marketing page, and more.</p>

<!-- #default-branch-switch -->

## Free templates

Our curated collection of free Material UI templates includes a dashboard, a marketing page, a checkout flow, sign-in and sign-up pages, and a blog.
You can download each one directly from the source code or via CodeSandbox or StackBlitz.

All templates feature a custom theme and a default Material Design 2 theme, with light and dark modes for both.
You can toggle through each of these style options in the top right corner of the live previews.

Sections of each layout are defined either by comments or use of separate files, so you can extract parts of a page (such as a hero unit or a footer) for reuse in other pages.
These templates can be combined with one of the [example projects](/material-ui/getting-started/example-projects/) to form a complete starter app.

If you see any room for improvement, please feel free to open an [issue](https://github.com/mui/material-ui/issues/new/choose) or a [pull request](https://github.com/mui/material-ui/pulls) on GitHub.

{{"component": "modules/components/MaterialFreeTemplatesCollection.js"}}

## Premium templates

Looking for something more?
You can find complete templates and themes like those shown below in the <a href="https://mui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=templates-store">premium template section</a> of the MUI Store.

<a href="https://mui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=templates-store">
<span class="only-light-mode">
<img src="/static/images/themes-display-light.png" alt="The MUI Store includes several carefully curated React templates using Material UI" width="2280" height="1200" />
</span>
<span class="only-dark-mode">
<img src="/static/images/themes-display-dark.png" alt="The MUI Store includes several carefully curated React templates using Material UI" width="2280" height="1200" />
</span>
</a>

## Toolpad Core (beta)

[Toolpad Core](https://mui.com/toolpad/core/introduction/) is a set of components designed for assembling dashboards and internal tools more efficiently.
It builds on top of Material UI to provide sophisticated UI components with full-stack functionality, such as the [Dashboard Layout](https://mui.com/toolpad/core/react-dashboard-layout/) shown below.

This is a great option if you don't want to start building from scratch but don't need a prebuilt template.

{{"demo": "../../components/app-bar/DashboardLayoutBasic.js", "height": 400, "iframe": true, "defaultExpanded": false, "bg": "inline"}}
